サポート対象プラットフォーム

このページの内容

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

このページでは、Bitbucket Server 5.10.x でのサポート対象プラットフォームについて説明します。

Bitbucket Server および Bitbucket Data Center でのサポート対象プラットフォームへの将来の変更については、「Bitbucket Server のサポート終了のお知らせ」をご確認ください。

ご利用のインスタンスに影響がないかどうか、以降の情報を入念に確認ください。 

定義

(tick) サポート対象 - このプラットフォームで Bitbucket Server 5.10.x を使用できます。

(info) 制限付き - このプラットフォームで Bitbucket Server を評価できますが、本番サイトでの実行には使用できません。 

(warning) 非推奨 - このプラットフォームのサポートは、今後のリリースで終了する予定です。


このページの内容:

ハードウェア

CPU:

評価用サイト: 1 コア 
本番環境: 2 コア以上

メモリ:

3 GB 以上

参考情報

  • 3 GB 以上のメモリが利用可能である必要があります。Bitbucket Server 用に 1 GB、Git 操作用に追加で 2 GB のメモリを用意することを推奨します。 
  • 個々のハードウェア要件は、Git 操作の数および頻度や、アクティブ ユーザーの数に応じて異なります。詳細については「Bitbucket Server を拡張する」をご参照ください。 

環境

(tick) Linux

(tick) Microsoft Windows (〜 500 ユーザー)

(info) Apple macOS

既知の問題:

  • Microsoft Windows は、Bitbucket Data Center / 500 人以上のエンタープライズ層ではサポートされません。
  • NTFS が必須であるため、Windows Resilient File System (ReFS) を使用することはできません。
  • Apple macOS は評価用にのみ使用できます。macOS を本番環境のデプロイで使用することはできません。

参考情報

クラウド プラットフォーム

(tick) Amazon Web Services (AWS)

既知の問題:

参考情報

Java

Oracle Java:

 (tick) 1.8u65 以降

OpenJDK:

(tick) 1.8u65 以降 

(tick) 1.8u40 以降

(tick) 1.8u0 〜 1.8u20

既知の問題:

Bitbucket Server を次のバージョンと使用することはできません。

  • OpenJDK: 1.8u25 以降、1.8u40 未満 (深刻なバグのため)。Bug 1167153 をご参照ください (この問題は 1.8u40 で修正されています)。
  • OpenJDK: 1.8u51 および 1.8u60 (LDAP の問題のため)。CWD-4444 をご参照ください。

参考情報

データベース

PostgreSQL

(tick) 10

(tick) 9.4 〜 9.6

(tick) 9.3.6 以降

(warning)  9.2 (非推奨)

既知の問題:

MySQL (Bitbucket Server のみ)

(tick) 5.7.9 以降

(tick) 5.6.16 以降

(tick) 5.5.x

(tick) MariaDB 10.2.6 以降

(tick) MariaDB 10.1.8 以降

(tick) MariaDB 10.0.10 以降 

(tick) MariaDB 5.5

既知の問題:

MySQL は Bitbucket Server のサポート対象ですが、特に大規模なインスタンスにおいては現在推奨されません。これは、このデータベース エンジンでは、高い負荷下でパフォーマンスやデッドロックに関する固有の問題が確認されているためです。

詳細については「Bitbucket Server を MySQL に接続する」を、デッドロックの問題の全般的な情報については http://dev.mysql.com/doc/refman/5.0/en/innodb-deadlocks.html をご参照ください。

Bitbucket Server を次のバージョンと使用することはできません。

MySQL を Bitbucket Data Center で使用しないでください。

Microsoft SQL Server / Microsoft SQL Server Express

(tick) 2017

(tick) 2012 〜 2016


Oracle:

(tick) 12c

(tick) 11g


H2 (バンドル):

(info)   Bitbucket Server、評価目的のみ

(tick)  Bitbucket ミラー


HSQLDB (バンドル):

Bitbucket Server のみ、評価目的のみ
(warning) 非推奨

既知の問題:

MS SQL:

Bitbucket Server を SQL Server に接続する

  • 名前付きインスタンス: サーバーに名前付きインスタンスがある場合、UI 操作で内部データベースから SQL Server の名前付きインスタンスに移行することはできません。「Bitbucket Server から SQL Server の名前付きインスタンスに接続する」ナレッジベース記事に従い、bitbucket.properties ファイルを手動で編集する必要があります。

  H2:

  • H2 は Bitbucket Server にバンドルされ、評価目的でのみ使用できます。
  • H2 は、本番環境の Bitbucket Data Center のミラーで使用できます。

HSQLDB:

  • Bitbucket Server を外部データベースに接続する」をご参照ください。
  • HSQLDB は Bitbucket Data Center ではサポートされていません。
  • HSQLDB のサポートは Bitbucket Server 4.0 以降で廃止されています。新しい Bitbucket Server インストールには H2 がバンドルされ、これが評価用の既定のデータベースとして使用されます。

連携

サポート対象のバージョンの組み合わせについては、「Bitbucket Server をアトラシアン アプリケーションと連携する」をご参照ください


Web ブラウザ:

Chrome

(tick) 最新の安定バージョンをサポート

Firefox

(tick) 最新の安定バージョンをサポート

MS Edge

(tick) 最新の安定バージョンをサポート

Internet Explorer

(tick) 11

Safari

(tick) 最新の安定バージョンをサポート

DVCS

Git – サーバー

(tick) 2.16 以降

(tick) 2.15 以降

(tick) 2.14 以降

(tick) 2.13 以降

(tick) 2.12 以降 (Windows の場合は 2.12.2 を除く)*

(tick) 2.11 以降

(tick) 2.10 以降

(tick) 2.9 以降 

(tick) 2.8 以降 *

(tick) 2.7 以降 *

(tick) 2.6 以降 *

(tick) 2.5 以降 *

(tick) 2.4 以降 *

(tick) 2.3 以降 *

(tick) 2.2 以降 *

Git – サーバー

可能な限り、Bitbucket Server インスタンスとクライアントの両方でサポート対象の最新バージョンの Git を使用することをおすすめします。その際は次の注意事項や例外をご確認ください。

  • Bitbucket Server とやり取りするマシン上にインストールされている Git のバージョンは、Bitbucket Server インスタンス用にインストールされている Git のバージョンとの互換性を持つ必要があります。
  • バージョンにかかわらず、Windows Server に  CygwinGit をインストールしないでください。
  • Git 2.2.x - 2.4.0 では、NFS とのやり取りでパフォーマンスの問題が確認されています。これらのバージョンを、ホーム ディレクトリで NFS マウントを使用する Bitbucket Data Center または Bitbucket Server インストールで使用することはできません。
  • Git for Windows 2.12.2 には git status の不具合があり、これによってファイルの編集に失敗します。この問題は修正され、Git for Windows 2.12.3 に含まれています。
  • BSERV-9673 - File editing fails using Git for Windows 2.12.2 CLOSED
  • Git 2.2.x - 2.8.x: mixed ライン モードを使用する場合、2.9.4 以降のバージョンを使用することが推奨されています。これは、mixed ライン モードではプル リクエストのマージや作成で問題が発生する可能性があるためです。

[セキュリティ脆弱性 CVE-2016-2324 & CVE-2016-2315] 複数の Git バージョンに影響します。サーバークライアント両方の Git インストールが、パッチ メンテナンス バージョンである 2.4.11、2.5.5、2.6.6、または 2.7.4 以降に更新されている必要があります。手順については、「Git のインストールとアップグレード」をご確認ください。

次の表は、Bitbucket Server 5.10.x リリースで個別にテスト済みの Git バージョンの一覧です。

Linux

Windows

2.16.1
2.15.1
2.14.3
2.13.6
2.12.5
2.11.4
2.10.5
2.9.5
2.8.6
2.7.6
2.6.7
2.5.6
2.4.12
2.3.10
2.2.3
2.16.1
2.15.1
2.14.3
2.13.1
2.12.1
2.11.1
2.10.2
2.9.3
2.8.4
2.7.4
2.6.4
2.5.3
2.4.6
2.3.7.1

Git – クライアント

(tick) 1.8.4.3
(tick) 1.6.6 以降

Git LFS が使用されている場合、1.8.2 以降

Git LFS - クライアント

(tick) 1.1.0 以降

Git – クライアント  

  • HTTP プロキシの動作に影響するバグが、Git バージョン 1.8.4.3 で修正されています。 

[セキュリティ脆弱性 CVE-2016-2324 & CVE-2016-2315] 複数の Git バージョンに影響します。サーバークライアント両方の Git インストールが、パッチ メンテナンス バージョンである 2.4.11、2.5.5、2.6.6、または 2.7.4 以降に更新されている必要があります。手順については、「Git のインストールとアップグレード」をご確認ください。

 インターネット プロトコル


(tick) IPv4

(tick) IPv6

参考情報

  • IPv 6 環境で Bitbucket Server を使用する場合、IP アドレスではなくホスト名を使用することを推奨します

その他のツール

Perl

(tick) 5.8.8 以降

Elasticsearch

(tick) 5.5.1 〜 5.5.3

(warning) 2.3 〜 Bitbucket Server 6.0 までサポート

参考情報

  • Perl は通常、Git とともにインストールされます
  • Buckler では Elasticsearch 5.5.1 と 5.5.3 がサポートされます 
  • AWS では Elasticsearch 5.5.2 がサポートされます

Elasticsearch 2.3 は EOL を迎えており、このバージョンのサポートは Bitbucket Server 6.0 のリリースまで有効です。

メール クライアント

Apple mail

(tick) Apple Mail 4

Gmail

(tick) 最新版

iOS デバイス

(tick) iPhone、iPad

Microsoft Outlook

(tick) Express、2007、2010

Outlook.com 

(tick) 最新版 

Hotmail

(tick) 最新版

Windows Live Mail

(tick) 最新版

最終更新日 2018 年 9 月 27 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.